###############################################################################
# Copyright (c) 2011 Linaro
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
###############################################################################

# Django settings for android_build project.

from django.conf import global_settings
import os

DEBUG = True
TEMPLATE_DEBUG = DEBUG

PROJECT_DIR = os.path.abspath(os.path.dirname(__file__))

TEMPLATE_DIRS = (
    os.path.join(PROJECT_DIR, "templates"),
)

ADMINS = (
    # ('Your Name', 'your_email@domain.com'),
)

MANAGERS = ADMINS

DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.sqlite3',
        'NAME': os.path.join(os.path.dirname(PROJECT_DIR), 'session.db'),
    }
}

TIME_ZONE = 'UTC'
LANGUAGE_CODE = 'en-us'
SITE_ID = 1
USE_I18N = False
USE_L10N = True

# Make this unique, and don't share it with anybody.
SECRET_KEY = 'ick(5so3(c7p^s^37u(a(4fvx7d_w5vv3x$1bedb99xm)#*lr$'

TEMPLATE_LOADERS = (
    'django.template.loaders.filesystem.Loader',
    'django.template.loaders.app_directories.Loader',
)

MIDDLEWARE_CLASSES = (
    'django.middleware.common.CommonMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.middleware.csrf.CsrfViewMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.contrib.messages.middleware.MessageMiddleware',
)

ROOT_URLCONF = 'android_build.urls'

INSTALLED_APPS = (
    'django.contrib.auth',
    'django_openid_auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.sites',
    'django.contrib.messages',
)

TEMPLATE_CONTEXT_PROCESSORS = global_settings.TEMPLATE_CONTEXT_PROCESSORS + (
    'android_build.context_processors.handy_urls',
)


MEDIA_URL = '/static/'

OPENID_CREATE_USERS = True
OPENID_UPDATE_DETAILS_FROM_SREG = True
OPENID_SSO_SERVER_URL = 'https://login.ubuntu.com/'
OPENID_LAUNCHPAD_TEAMS_MAPPING_AUTO = True

AUTHENTICATION_BACKENDS = (
    'django_openid_auth.auth.OpenIDBackend',
)

PREFIX = ''

LOGIN_REDIRECT_URL = '/'
LOGIN_URL = '/openid/login/'
LOGOUT_URL = '/logout'

JENKINS_URL_FOR_APP = '/jenkins'
SERVER_JENKINS_URL = 'http://127.0.0.1:9090/jenkins/'
FRONTEND_JENKINS_USER = 'admin'
FRONTEND_JENKINS_PASSWORD = 'password'

USE_OWN_COMBO=False
